Create Organization Logo Upload Url
Create Organization Logo Upload Url. This POST operation is exposed from the auth router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Create Organization Logo Upload Url. This POST operation is exposed from the auth router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/auth.createOrganizationLogoUploadUrl" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string", "fileSize": 0, "fileType": "string" }'{ "result": { "data": { "key": "string", "uploadUrl": "string", "publicUrl": "string" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Update Alert Rule POST
Update Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Authorize Tool Action POST
Authorize Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.